Bug 90080 - poweroff doesn't power off
poweroff doesn't power off
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-05-02 00:42 EDT by Al Grabauskas
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-08 10:28:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Al Grabauskas 2003-05-02 00:42:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
this is on a dell 600sc

rh9 shuts down, display "Power off", then leaves the power on

i'm pretty sure (90+%) the same box didn't have the issue with 8.0. checked
dmesg and got: # dmesg | grep apm
apm: BIOS not found.

both kernels 2.4.20-8 and 2.4.20-9 behave the same way.

stuff i tried from older similar bugs:

acpi=off doesn't help
apm=power-off doesn't help

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. /sbin/poweroff

Actual Results:  described above

Expected Results:  an actual power off

Additional info:
Comment 1 Al Grabauskas 2003-05-03 12:24:13 EDT
some additional info:

- apparently, i was wrong, in that rh80 exhibits this problem as well
- bios upgrade from a02 to a05 (current, as far as i can tell) apparently
doesn't help either
Comment 2 Al Grabauskas 2003-05-07 13:38:26 EDT
hello? anyone notice this? this problem isn't the end of the world, but
acknowledgement of the bug report's existence would be nice.
Comment 3 John J. Germs 2003-05-21 10:07:49 EDT
Same thing here. PC will not power off.
acpi=off doesn't help
apm=power-off doesn't help

APM has never shut this board down in the past though.
The only way I've been able to "poweroff" this PC is
to compile my own kernel and strictly use ACPI. 

I do not like doing this because I continue to get flack
when I submit bug reports. I am constantly told that before
they will take the bug seriously I have to run a default
kernel (which I would if it would poweroff).

I mentioned this problem when I was using RH 8, but it
was marked as a duplicate of 82123, which is Described:
This is a meta-bug which contains all known ACPI bugs that were new in phoebe
public beta 1.  These bugs originated because Red Hat turned on ACPI by default,
which was a change in behavior.  Typical observed problems include oops's on
boot, failing to poweroff, and similar issues.

In my opinion maybe the default kernel has an acpi bug or is missing something 
in the acpi setup??

I'm using the SOYO Dragon motherboard.
Comment 4 Arjan van de Ven 2003-05-21 10:10:57 EDT
"apm: BIOS not found" -> you're out of luck wrt automatic powering off.

The RHL9 kernel does not contain ACPI (the amount of bugs in the other report
mentioned shows the reason for that); it does mean however that machines that
have no APM at all will not power off automatically.

Note You need to log in before you can comment on or make changes to this bug.